<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1D3D11RenderToVertexBuffer.html">D3D11RenderToVertexBuffer</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::D3D11RenderToVertexBuffer Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1D3D11RenderToVertexBuffer.html">Ogre::D3D11RenderToVertexBuffer</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D11RenderToVertexBuffer.html#a0a09f8e75f4db56cba7dd0de7739967d">D3D11RenderToVertexBuffer</a>(D3D11Device &amp;device, D3D11HardwareBufferManagerBase *bufManager)</td><td><a class="el" href="classOgre_1_1D3D11RenderToVertexBuffer.html">Ogre::D3D11RenderToVertexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a883622495c6c19c55b34cbb2cbc83cac">getMaxVertexCount</a>() const </td><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html">Ogre::RenderToVertexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a8ace11d57f754588746a86c6dea6dc48">getOperationType</a>() const </td><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html">Ogre::RenderToVertexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D11RenderToVertexBuffer.html#a5997d0e11a04c57322648d2be8850519">getRenderOperation</a>(RenderOperation &amp;op)</td><td><a class="el" href="classOgre_1_1D3D11RenderToVertexBuffer.html">Ogre::D3D11RenderToVertexBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a6c530df86894044d524825e0be11fe33">getRenderToBufferMaterial</a>()</td><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html">Ogre::RenderToVertexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a5c9e4cc0e644416d3754aaa0e12f4bd8">getResetsEveryUpdate</a>() const </td><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html">Ogre::RenderToVertexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a38890b3ad14b32428d57520fdec9e48b">getSourceRenderable</a>() const </td><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html">Ogre::RenderToVertexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a9fa1e6de60796f2af453581b553cb0ac">getVertexDeclaration</a>()</td><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html">Ogre::RenderToVertexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D11RenderToVertexBuffer.html#a714647efdcc4847986ef62508ecb3d70">mBufManager</a></td><td><a class="el" href="classOgre_1_1D3D11RenderToVertexBuffer.html">Ogre::D3D11RenderToVertexBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D11RenderToVertexBuffer.html#a51b6e9f8bffae537f2e7f5c9dc57b0a1">mDevice</a></td><td><a class="el" href="classOgre_1_1D3D11RenderToVertexBuffer.html">Ogre::D3D11RenderToVertexBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D11RenderToVertexBuffer.html#ac0d5ff5fdc02aeb9269e3a2adf50c5ad">mFrontBufferIndex</a></td><td><a class="el" href="classOgre_1_1D3D11RenderToVertexBuffer.html">Ogre::D3D11RenderToVertexBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a95a4702c70c3fe0fd2313c836c8e4dbe">mMaterial</a></td><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html">Ogre::RenderToVertexBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a0b626515d04c2216f2d987b45925794e">mMaxVertexCount</a></td><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html">Ogre::RenderToVertexBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#ab9071935eb9ab1effbc8e6358ba38a67">mOperationType</a></td><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html">Ogre::RenderToVertexBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D11RenderToVertexBuffer.html#a013c8ed2caaaf4201534a951ed1f61fc">mpGeometryShader</a></td><td><a class="el" href="classOgre_1_1D3D11RenderToVertexBuffer.html">Ogre::D3D11RenderToVertexBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a69b7fe4c1730c47978aa497deb42f22e">mResetRequested</a></td><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html">Ogre::RenderToVertexBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#aa7b0315836d1753e0ee1938d55cc7f93">mResetsEveryUpdate</a></td><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html">Ogre::RenderToVertexBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a281d1d81160af52e32be61cf5f27cf70">mSourceRenderable</a></td><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html">Ogre::RenderToVertexBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D11RenderToVertexBuffer.html#aa053813d16f63bfee3de86a4ee845afe">mVertexBuffers</a></td><td><a class="el" href="classOgre_1_1D3D11RenderToVertexBuffer.html">Ogre::D3D11RenderToVertexBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a21c5d5d9ec70314f9727553b6dd0faf2">mVertexData</a></td><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html">Ogre::RenderToVertexBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D11RenderToVertexBuffer.html#a2d7b1148b1d2bce3354eb4fde39ba59f">reallocateBuffer</a>(size_t index)</td><td><a class="el" href="classOgre_1_1D3D11RenderToVertexBuffer.html">Ogre::D3D11RenderToVertexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#ab6e1b36ab14bd12389469252861809b3">RenderToVertexBuffer</a>()</td><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html">Ogre::RenderToVertexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a276cd906b96a46a596d7f0abdf122302">reset</a>()</td><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html">Ogre::RenderToVertexBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a2db0eaaf24eb8de2427e5a33a923544b">setMaxVertexCount</a>(unsigned int maxVertexCount)</td><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html">Ogre::RenderToVertexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a3a23fc7f800fcd9014919ff977e55905">setOperationType</a>(RenderOperation::OperationType operationType)</td><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html">Ogre::RenderToVertexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a1b91c72db34e837e2753ec419bacb88e">setRenderToBufferMaterialName</a>(const String &amp;materialName)</td><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html">Ogre::RenderToVertexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#aa6b992fb1f1f4098edb85c782b860f24">setResetsEveryUpdate</a>(bool resetsEveryUpdate)</td><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html">Ogre::RenderToVertexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a1ac41c57f4cb8c493dfedca2d83692ca">setSourceRenderable</a>(Renderable *source)</td><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html">Ogre::RenderToVertexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D11RenderToVertexBuffer.html#a7ab267ae876d8cbcf2e0d2ef6fea6972">setupGeometryShaderLinkageToStreamOut</a>(Pass *pass)</td><td><a class="el" href="classOgre_1_1D3D11RenderToVertexBuffer.html">Ogre::D3D11RenderToVertexBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D11RenderToVertexBuffer.html#a905dd227952262c4012b56fea2f81668">update</a>(SceneManager *sceneMgr)</td><td><a class="el" href="classOgre_1_1D3D11RenderToVertexBuffer.html">Ogre::D3D11RenderToVertexBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D11RenderToVertexBuffer.html#adeff19f9536e55ed09825154aa3d6e05">~D3D11RenderToVertexBuffer</a>(void)</td><td><a class="el" href="classOgre_1_1D3D11RenderToVertexBuffer.html">Ogre::D3D11RenderToVertexBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a6a3024feeacd04751c138147ea8aa5aa">~RenderToVertexBuffer</a>()</td><td><a class="el" href="classOgre_1_1RenderToVertexBuffer.html">Ogre::RenderToVertexBuffer</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:14
</p>
</body>
</html>
